<?php

namespace Modules\Lpj\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Modules\Lpj\Models\Debiture;
use Modules\Lpj\Services\LaporanDebitureService;

class LaporanDebitureController extends Controller
{
    private $laporanDebitureService;
    public function __construct()
    {
        $this->laporanDebitureService = app(LaporanDebitureService::class);
    }

    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $debiture = Debiture::all();
        return view('lpj::laporan-debiture.index', compact('debiture'));
    }


    public function dataTableForDebiture(Request $request)
    {
        return $this->laporanDebitureService->dataForDatatables($request);
    }

}
